Don't shoot the messenger. Reverted the previous 'silent treatment' patch,

users should be informed of things that go wrong, when they go wrong, without
having to figure out what cold silence means in that context from other clues.

If broken configure scripts perform unnecessary tests, or clever ones want
to perform them silently, then they should redirect stderr to /dev/null like
all other well behaved tools might.

Fixed bug diagnosed by Fritz Elfert where an explicit --host specification to
configure was not properly ignored for native builds.


git-svn-id: https://svn.wxwidgets.org/svn/wx/wxWidgets/trunk@30406 c3d73ce0-8a6f-49c7-b76d-6d57e0e08775
This commit is contained in:
Ron Lee 2004-11-10 05:01:23 +00:00
parent 06759a389d
commit d9809627ad

View File

@ -339,6 +339,9 @@ get_mask()
eval echo "\${$1_host}\${$1_toolkit}\${$1_widgetset}-\${$1_chartype}-\${$1_debugtype}\${$1_linkage}-\${$1_version}\${$1_flavour}"
}
# Returns true if this script is for a cross compiled config.
is_cross() { [ "x@cross_compiling@" = "xyes" ]; }
# Determine the base directories we require.
prefix=${input_option_prefix-${this_prefix:-@prefix@}}
@ -347,7 +350,7 @@ wxconfdir="@libdir@/wx/config"
installed_configs=$( cd "$wxconfdir" 2> /dev/null && ls | grep -v "^inplace-" )
target="@host_alias@"
is_cross && target="@host_alias@"
# Define a pseudo-hash to contain the specification of this wx-config
# instance and its associated library.
@ -784,9 +787,23 @@ if ! user_mask_fits "$this_config" ; then
exit
else
# silently exit with error: we shouldn't give any messages here as
# we may be called from a configure script where this would really
# mess things up
cat 1>&2 <<-EOF
Warning: No config found to match: $config_spec
in $wxconfdir
If you require this configuration, please install the desired
library build. If this is part of an automated configuration
test and no other errors occur, you may safely ignore it.
You may use wx-config --list to see all configs available in
the default prefix.
EOF
# PIPEDREAM: from here we are actually just a teensy step
# from simply building the missing config for the user
# on the fly if this is an in tree wx-config.
exit 1
fi
fi
@ -866,7 +883,6 @@ bindir="@bindir@"
# The rest are going to need a little more work.
# --------------------------------------------------------------
is_cross() { [ "x@cross_compiling@" = "xyes" ]; }
is_monolithic() { [ "x@MONOLITHIC@" = "x1" ]; }
is_static() { [ -n "$this_linkage" ]; }
is_installed() { [ -z "$this_prefix" ]; }